| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::File Class Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::File:

[legend]
Collaboration diagram for NTuple::File:

[legend]
List of all members.

## Detailed Description

Small class representing an N tuple file in the transient store.

Definition at line 1083 of file NTuple.h.

## Public Member Functions
| File ()
| File (long type, const std::string name, const std::string &logName)
| Standard constructor.
virtual | ~File ()
| Standard destructor.
virtual const CLID & | clID () const
| class ID of the object
void | setType (const long typ)
| Set access type.
const long | type () const
| Return access type.
const std::string & | name () const
| Retrun physical file name.
void | setName (const std::string &nam)
| Set access type.
const std::string & | logicalName () const
void | setLogicalName (const std::string &l)
void | setOpen (bool flag)
| Set "open" flag.
bool | isOpen () const
| Access "open" flag.
## Static Public Member Functions
static const CLID & | classID ()
| class ID of the object
## Protected Attributes
std::string | m_name
| Physical file name.
std::string | m_logName
| Logical file name.
long | m_type
| Access type.
bool | m_isOpen
| Flag to indicate wether the file was opened already.

## Constructor & Destructor Documentation

NTuple::File::File | ( |  | ) | `[inline]`

Definition at line 1094 of file NTuple.h.

    01094            : m_type(0), m_isOpen(false)   {
    01095     }

NTuple::File::File | ( | long | type,
|  | const std::string | name,
|  | const std::string & | logName |
| ) |  |  | `[inline]`

Standard constructor.

Definition at line 1097 of file NTuple.h.

    01098     : m_name(name), m_logName(logName), m_type(type), m_isOpen(false)  {
    01099     }

virtual NTuple::File::~File | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 1101 of file NTuple.h.

    01101                       {
    01102     }

## Member Function Documentation

static const CLID& NTuple::File::classID | ( |  | ) | `[inline, static]`

class ID of the object

Reimplemented from NTuple::Directory.

Definition at line 1104 of file NTuple.h.

References CLID_NTupleFile.

Referenced by clID().

    01104                                     {
    01105       return CLID_NTupleFile;
    01106     }

virtual const CLID& NTuple::File::clID | ( |  | ) | const`[inline, virtual]`

class ID of the object

Reimplemented from NTuple::Directory.

Definition at line 1108 of file NTuple.h.

References classID().

    01108                                           {
    01109       return File::classID();
    01110     }

void NTuple::File::setType | ( | const long | typ | ) | `[inline]`

Set access type.

Definition at line 1112 of file NTuple.h.

References m_type.

    01112                                    {
    01113       m_type = typ;
    01114     }

const long NTuple::File::type | ( |  | ) | const`[inline]`

Return access type.

Definition at line 1116 of file NTuple.h.

References m_type.

    01116                                  {
    01117       return m_type;
    01118     }

const std::string& NTuple::File::name | ( |  | ) | const`[inline]`

Retrun physical file name.

Reimplemented from DataObject.

Definition at line 1120 of file NTuple.h.

References m_name.

Referenced by PoolDbStatCnv::fileName(), and HbookCnv::HFileCnv::updateRep().

    01120                                        {
    01121       return m_name;
    01122     }

void NTuple::File::setName | ( | const std::string & | nam | ) | `[inline]`

Set access type.

Definition at line 1124 of file NTuple.h.

References m_name.

    01124                                           {
    01125       m_name = nam;
    01126     }

const std::string& NTuple::File::logicalName | ( |  | ) | const`[inline]`

Definition at line 1128 of file NTuple.h.

References m_logName.

Referenced by HbookCnv::HFileCnv::updateRep().

    01128                                               {
    01129       return m_logName;
    01130     }

void NTuple::File::setLogicalName | ( | const std::string & | l | ) | `[inline]`

Definition at line 1132 of file NTuple.h.

References m_logName.

    01132                                               {
    01133       m_logName = l;
    01134     }

void NTuple::File::setOpen | ( | bool | flag | ) | `[inline]`

Set "open" flag.

Definition at line 1136 of file NTuple.h.

References m_isOpen.

Referenced by RootHistCnv::RFileCnv::createObj(), HbookCnv::HFileCnv::createObj(), RootHistCnv::RFileCnv::updateRep(), and HbookCnv::HFileCnv::updateRep().

    01136                                 {
    01137       m_isOpen = flag;
    01138     }

bool NTuple::File::isOpen | ( |  | ) | const`[inline]`

Access "open" flag.

Definition at line 1140 of file NTuple.h.

References m_isOpen.

Referenced by RootHistCnv::RFileCnv::updateRep(), and HbookCnv::HFileCnv::updateRep().

    01140                             {
    01141       return m_isOpen;
    01142     }

## Member Data Documentation

std::string NTuple::File::m_name`[protected]`

Physical file name.

Definition at line 1086 of file NTuple.h.

Referenced by name(), and setName().

std::string NTuple::File::m_logName`[protected]`

Logical file name.

Definition at line 1088 of file NTuple.h.

Referenced by logicalName(), and setLogicalName().

long NTuple::File::m_type`[protected]`

Access type.

Definition at line 1090 of file NTuple.h.

Referenced by setType(), and type().

bool NTuple::File::m_isOpen`[protected]`

Flag to indicate wether the file was opened already.

Definition at line 1092 of file NTuple.h.

Referenced by isOpen(), and setOpen().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h